Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Tools/Debugging/Trace.h File Reference

A class representing a trace. More...

`#include "Tools/Streams/InOut.h"`
`#include "Tools/RingBuffer.h"`

Include dependency graph for Trace.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | Trace
class | Trace::Line
| The class represents single trace points. More...
## Defines
#define | GT_TRACE getTrace().setCurrentLine(__FILE__, __LINE__);
## Functions
In & | operator>> (In &stream, Trace &trace)
| Streaming operator that reads a trace from a stream.
Out & | operator<< (Out &stream, const Trace &trace)
| Streaming operator that writes a robot pose to a stream.
Trace & | getTrace ()
| The function returns a reference to the shared trace object.
void | setTrace (Trace &t)
| The function sets the reference to the shared trace object.

## Detailed Description

A class representing a trace.

Author:
  Thomas Röfer

Definition in file Trace.h.

## Define Documentation

#define GT_TRACE getTrace().setCurrentLine(__FILE__, __LINE__);

| Definition at line 84 of file Trace.h. Referenced by Cognition::main().

## Function Documentation

In& operator>> | ( | In & | stream,
|  | Trace & | trace
| ) |

  | Streaming operator that reads a trace from a stream. Parameters:
  stream | The stream from which is read.
  currentLine | The trace.
Returns: The stream. Definition at line 25 of file Trace.cpp. References RingBuffer< Line, 10 >::add(), Trace::buffer, Trace::Line::file, RingBuffer< Line, 10 >::init(), Trace::Line::line, and trace.

Here is the call graph for this function:

Out& operator<< | ( | Out & | stream,
|  | const Trace & | trace
| ) |

  | Streaming operator that writes a robot pose to a stream. Parameters:
  stream | The stream to write on.
  currentLine | The current line.
Returns: The stream. Definition at line 39 of file Trace.cpp. References Trace::buffer, endl(), RingBuffer< Line, 10 >::getNumberOfEntries(), and trace.

Here is the call graph for this function:

Trace& getTrace | ( |  | ) |

| The function returns a reference to the shared trace object. Returns: The reference to the shared trace object. Definition at line 47 of file Trace.cpp. References trace.

void setTrace | ( | Trace & | t | ) |

  | The function sets the reference to the shared trace object. Parameters:
  t | The reference to the shared trace object.
Definition at line 52 of file Trace.cpp. References trace. Referenced by Cognition::Cognition(), and Motion::Motion().